Mail Control

The Mail Control area allows you to manage all aspects of your email, from adding new accounts, managing mailing lists, and setting spam filters. There are quite a number of options available, so take your time.

Note: All email options can be used in conjunction with each other. For example, you could set up an autoresponder on your main account to email an "Out of Office" message, a forwarder to send the email to your uncle's house where you are staying, and a spam filter to reject all email with "credit" in the subject line. This flexibility is what makes email so powerful as a communication medium.

Topics:


Reading your email

You can read your online email using NeoMail. This popular webmail script allows you to read your email, save them, keep an address book, and perform all of the other basic email functions that you are used to. The main difference between NeoMail and an offline email applications, such as Eudora or Microsoft Outlook Express, is that all of these functions are performed online, rather than on your own computer, and offline applications generally provide many more features.

NeoMail is optional. You can still use your favorite offline email applications, if you prefer. You can even use a combination of NeoMail and another tool - you can check your e-mail online, perhaps when you're at work, and download your email to your computer when you get home. You can automatically configure Outlook Express, or manually configure other mail applications.

To read your email online:

  1. Click on the Read Your Email link in the Mail Control area.

    Note: You can also save this link as a bookmark, so that you can access it without having to use CPanel.

  2. You are now in the NeoMail window for your default email address. Click on any message link to read the message, and use the toolbar to reply to the email, or perform any other function. Refer to the NeoMail summary if you need more information about using NeoMail.

Reading your email

Topics:

NeoMail summary


NeoMail summary

NeoMail is fairly self-explanatory. The text below describes the main buttons in NeoMail and what they do. This is provided as a summary reference, and not a detailed description of how to use NeoMail. If you do not know how to use some of the features, please contact your hosting administrator.

Note: You can not use HTML code in NeoMail - plain text only.

NeoMail functions:

  • Inbox Inbox - Choose a folder to display. The default folder is your inbox.

  • Compose Compose - Compose a new email message and send it using the Send button. You can not use HTML code - plain text only.

  • Refresh Refresh - Refreshes the displayed page. Use it to check if new mail has arrived since the window was opened.

  • User Preferences User Preferences - Displays the Preferences page, which allows you to set a variety of options., such as default language, number of messages displayed per page, and your email signature.

  • Address Book Address Book - Displays your Address Book of saved email addresses. Click on an address to create a new email with their email address automatically added.

  • Folders Folders - Allows you to create new folders and delete old ones. Useful for organizing your email.

  • Empty Trash Empty Trash - Empties the neomail-trash folder.

  • Logout Logout - Closes the connection between you and Neomail.

  • Page Navigation Page Navigation - Navigate to the first, previous, next, last, or specific page of email.

  • Move Move - Moves the selected items to the displayed folder - the default folder is the trash. Click on the on the tick box next to the specific message to select, or click on the All tick box to select all messages in this window.


POP Email Accounts

You can set up as many POP (Post Office Protocol) email accounts as you require, up to your maximum limit. Each one of these is in the standard email formation of address@yourdomain.com. As with your default email address, you can access these accounts through NeoMail or through your own offline email application.

To add a POP email account:

  1. Click on the POP Email Accounts link in the Mail Control area.

  2. Enter the first part of the email address and the password for the account in the Add POP email account area.

  3. Click on the Add button.

  4. Your new account has been added. Use the displayed setup information to setup your email application.

Adding a POP email account

Topics:


Reading a POP email account

As with your default email account, you can read your email online using NeoMail, or download it to your offline email application.

To read your POP email accounts online:

  1. Click on the POP Email Accounts link in the Mail Control area.

    Note: You can also save this link as a bookmark, so that you can access it without having to use CPanel.

  2. Click on the Read Mail button next to the required email address.

  3. You are now in the NeoMail window for your email address. Click on any message link to read the message, and use the toolbar to reply to the email, or perform any other function. Refer to NeoMail summary if you need more information about using NeoMail.

Reading your email


Configuring Outlook Express to read email

Because Microsoft Outlook Express is the most popular email application available, you can automatically configure Outlook Express from CPanel. This saves time in manually configuring your email application and avoids errors.

Note: This will only work if you have Microsoft Outlook installed on your machine and are running any version of Windows.

To automatically configure Outlook Express:

  1. Click on the POP Email Accounts link in the Mail Control area.

  2. Click on the Outlook (Express) AutoConfig link next to the required account.

  3. Read the message in the alert window and click on the OK button. You may need to repeat this step two or three times.

  4. Click on the Open this file from its current location radio button, and click on the OK button in the File Download window.

  5. Click on the Yes button in the Registry Editor window and repeat for the last window. Outlook Express has now been configured for this account. You need to repeat this process for as many accounts as you want to access through Outlook Express.


Changing an email account password

You can change the password on any of your email accounts whenever required. It is useful to occasionally do this to maximize your email security. You should always change your password if you think someone else has access to your account.

Note: Make sure that you change the password in your offline email application as well, or you will not be able to upload or download email to this account.

To change an email account password:

  1. Click on the POP Email Accounts link in the Mail Control area.

  2. Click on the Password Control button next to the required email address.

  3. Enter the new password in the New Password field.

  4. Click on the Submit button.

    Your password has now been changed for that account. You can test this immediately by clicking on the POP email accounts link and opening the email account from there.

Changing your email account password


Deleting an email account

You can delete an email account when the account is no longer needed. You can not delete your default account.

Warning: Make sure you download any mail that you want to keep, as deleting the account will delete all of the mail still in that account. You can not recover this information once the account has been deleted.

To delete an email account:

  1. Click on the POP Email Accounts link in the Mail Control area.

  2. Click on the Delete button next to the no longer required email address.

    Your account has now been deleted.


Setting your default email address

Any email that is sent to an unknown account at your domain name, such as unknown@yourdomain.com, gets automatically rerouted to your default email account. All web site accounts are automatically assigned a default email address - user@yourdomain.com - which you can change, if required.

To set your default email address:

  1. Click on the Default Address link in the Mail Control area.

  2. Enter the complete email address of the new default in the Modify default address field.

  3. Click on the Submit button. Your new default email address has now been set.

Setting your default email message


Autoresponders

Autoresponders are email messages that are sent automatically when an email arrives for a specific email account. Autoresponders are most commonly used for an "Out of Office" style message to inform your correspondents that you are not available, without you having to reply manually. You can have more than one autoresponder on one account.

Note: You can not add HTML code to the email reply - plain text only.

To add an autoresponder:

  1. Click on the Autoresponders link in the Mail Control area.

  2. Enter the address of the account that the autoresponder responds to in the Email field.

  3. Enter your name or address in the From field. You do not have to put anything in this field.

  4. Enter the subject line of the autoresponder in the Subject field.

  5. Enter the autoresponder message in the Body field. You can not use HTML code in this field - plain text only.

  6. Click on the Add button to create the autoresponder. Click on the Autoresponders link to return to the Autoresponders window to confirm that it has been added.

Adding an autoresponder

Topics:


Modifying an autoresponder

Modify an autoresponder if you need to alter the details of the message or if you set it to the wrong account.

To modify an autoresponder:

  1. Click on the Autoresponders link in the Mail Control area.

  2. Click on the button next to the autoresponder that you want to modify.

  3. Edit the Email, From, Subject, and Body fields as required. Refer to Autoresponders if you are not sure what you can do in each field.

  4. Click on the Submit button to submit your changes. Click on the Autoresponders link to return to the Autoresponders window to confirm that it has been changed.

Modifying an autoresponder


Deleting an autoresponder

Delete an autoresponder when you no longer need to use it. If you use the autoresponder at frequent intervals, such as an "Out of Office" message, you can modify it to point to a nonexistent email account, such as store@yourdomain.com, and then simply change the account name back when you need it again. Refer to Modifying an autoresponder for more information.

To delete an autoresponder:

  1. Click on the Autoresponders link in the Mail Control area.

  2. Click on the Delete button next to the autoresponder that you want to delete. Click on the Autoresponders link to return to the Autoresponders window to confirm that it has been deleted.


Forwarders

Forwards simply allow you to automatically forward email sent to one account to another account. This is useful when you work at two separate locations, or have gone on holiday.

To add a forwarder:

  1. Click on the Forwarders link in the Mail Control area.

  2. Enter the first part of the email address that will be forwarded in the first field in the "Add forwarder" area.

  3. Enter the full email address that the forwarder will forward mail to in the second field.

  4. Click on the Add button. Click on the Forwarders link to return to the Forwarders window to confirm that it has been added.

Adding a forwarder

Topics:

Deleting an email forwarder


Deleting an email forwarder

Delete an email forwarder when you no longer need it. There is no way to modify an email forwarder - if you have made a mistake, simply delete the forwarder and start again.

To delete an email forwarder:

  1. Click on the Forwarders link in the Mail Control area.

  2. Click on the Delete button next to the forwarder that you want to delete. Click on the Forwarders link to return to the Forwarders window to confirm that it has been deleted.


Mailing Lists

CPanel includes a popular mailing list script called Mailman. Mailing lists are an ideal tool for communication between far flung participants and can be about anything you want. Mailman allows you to set up a mailing list with a large number of configurable options, such as who is on the list, where mailing lists messages are sent, and whether you include welcoming messages to new subscribers.

The Mailman documentation, which is incorporated into its Administration panel, is clear and helpful, and should be referred to for all questions about using the script. The instructions in this section deal with how to set up, modify, and delete a Mailman mailing list from your CPanel.

The Mailman homepage is at the following address for more information: http://www.gnu.org/software/mailman/mailman.html

Note: It is a good idea to be aware of spam and its definition before setting up a mailing list - refer to Spam Filters for more information.

To add a mailing list:

  1. Click on the Mailing Lists link in the Mail Control area.

  2. Enter the name of the mailing list in the Mailing list name field, and the password for the list in the Password field.

  3. Click on the Add button. Click on the Mailing lists link to return to the Mailing Lists window to confirm that it has been added.

Add a mailing list

Topics:


Modifying a mailing list

There are many different configurable options available with the Mailman script. This procedure shows you how to open up the Administration panel so that you can modify the script options. Use the Mailman documentation that is included in the Administration panel to answer any specific questions you might have.

To modify a mailing list:

  1. Click on the Mailing Lists link in the Mail Control area.

  2. Click on Modify a mailing list

  3. Log in to the mailing list with your password. You are now in the Mailman Administration panel and can adjust options as you require.

Modify a mailing list


Deleting a mailing list

Delete a Mailman mailing list when you no longer want the list to be active.

Warning: Deleting the mailing list will delete all archives, current mail, and members email addresses. If you want to keep any of this information, be sure to download or otherwise copy these files before deleting the mailing list. Once the mailing list is deleted the information is unrecoverable.

To delete a mailing list:

  1. Click on the Mailing Lists link in the Mail Control area.

  2. Click on the Delete next to the mailing list that you want to delete. Click on the Mailing lists link to return to the Mailing Lists window to confirm that it has been deleted.


Spam Filters

There are many definitions of spam, but one of the most useful ones is the following:

"Spam: unsolicited email, usually of a commercial nature."

Spam is the electronic version of junk mail, and has been around since the Internet was created. Spam filters are a way of filtering your email to remove unwanted mail based on a variety of criteria. You can block any sort of email, not just mail of a commercial nature. Blocked mail is deleted automatically - it does not even bounce back to the sender. These filters are quite flexible - some examples are provided after the instruction on how to add a spam filter below. All filters are cumulative.

Useful spam links:

  • Six simple things you can do to prevent spam

  • Alternate definition of spam

  • Usenet definition of spam

To add a spam filter:

  1. Click on the Spam Filters link in the Mail Control area.

  2. Click on the required header field in the first drop-down list. These are the various fields in any email message.

  3. Click on the required filter action in the second drop-down list. This action will act on the text entered in the third field.

    • equals - match the text exactly (whole words only). "Credit" will block "Credit".

    • matches regex - matches the text based on regular expression (regex) rules. Regular expressions are a powerful but complex area. You do not need to use regular expression filters for most circumstances. Refer to these two good introductory tutorials - Using Regular Expressions and Learning to Use Regular Expressions - for more information.

    • contains - match the specified text in any circumstance. "porn" will block "porn" and "pornography".

    • begins with - match the specified text when it is the beginning of a word. "porn" will block "porn" and "pornography" but not "teenporn".

  4. Enter the filter text in the third field. This text is case sensitive.

  5. Click on the Add button. Click on the Spam filters link to return to the Spam Filters window to confirm that it has been added.

Example:

To block all email from "john@paradise.net", enter: From, equals, john@paradise.net

To block all email from paradise.net, enter: From, contains, paradise.net

To block all references to pornography, enter: Any Header, contains, porn

Adding a spam filter

Topics:

Deleting a spam filter


Deleting a spam filter

Delete a spam filter when you no longer need it. There is no way to modify a spam filter - if you have made a mistake, simply delete the filter and start again.

To delete a spam filter:

  1. Click on the Spam Filters link in the Mail Control area.

  2. Click on the Delete button next to the spam filter that you want to delete. Click on the Spam filters link to return to the Spam Filters window to confirm that it has been deleted.


Domain Control

The Domain Control area deals with all the tools that you need to control your domain using CPanel, including uploading and managing files, maintaining the password on your web site, creating custom error pages, and other tools.

Topics:


Domain Password

Your domain password is the password you use to log on to your CPanel. This is useful to occasionally do to maximize your site security. You should always change your password if you think someone else has access to your account.

To change your domain password:

  1. Click on the Domain Password link in the Domain Control area.

  2. Enter your current password in the Old password field.

  3. Enter your new password in the New password and Repeat new password fields.

  4. Click on the Submit button. Your password has now been changed.

Changing your domain password


Subdomains

Subdomains are a way of creating separate accounts within your master account, which are accessed as separate URLs. For example, you could set up a "timber" subdomain on your master account "hardware.com", which would be accessed as "timber.hardware.com". A lot of larger corporates use subdomains to establish branding and focus on separate product lines, because a subdomain creates a separate URL and web presence. However, you do not create a new CPanel when you create a subdomain. You still perform most administration functions for the subdomain through your master CPanel.

Practically, a subdomain is a sub folder within the "public_http" level of your account that has it's own "cgi-bin" directory. The "timber" example above creates a new top-level folder called "timber", with a "cgi-bin" sub-folder. Upload your files for the subdomain to this location, including a separate home file (such as index.htm).

Currently you can not create email accounts with the subdomain extension. A workaround for this is to create an account called "sales-timber@hardware.com", or similar.

To add a subdomain:

  1. Click on the Subdomains link in the Domain Control area.

    Note: You can only successfully create a new subdomain once your DNS number has successfully propagated for this account.

  2. Enter the text for the new subdomain in the field in the "Add subdomain" area. You must conform to domain name conventions for the addition to the name.

  3. Click on the Add button. Click on the Subdomains link to return to the Subdomains window to confirm that it has been added. A folder with the same name as the subdomain has now been added to your public_html folder, with a cgi-bin sub-folder.

Adding a subdomain

Topics:

Deleting a subdomain


Deleting a subdomain

Deleting a subdomain does not delete the subdomain folder - you will need to do this manually.

To delete a subdomain:

  1. Click on the Subdomains link in the Domain Control area.

  2. Select the required subdomain from the "Delete subdomain" drop-down list.

  3. Click on the Delete button. Click on the Subdomains link to return to the Subdomain window to confirm that it has been deleted.


MySQL

SQL stands for Structured Query Language. SQL is a international standard in querying and retrieving information from databases. MySQL is essentially an SQL server - it responds to requests for information that are written in SQL. You can communicate with MySQL using a wide variety of programming languages (PHP being one of the most common). MySQL is Open Source software and generally free for use.

Refer to the following links for more information about MySQL:

  • MySQL FAQ - a good place to start.

  • MySQL and PHP tutorial - a good introduction to using the two Open Source technologies together.

To create a MySQL database:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Enter the name of the database in the MySQL Database field.

  3. Click on the Create MySQL database button. Click on the MySQL databases link to return to the MySQL databases window to confirm that it has been created.

Creating a MySQL database

Topics:


Creating a MySQL user

You need to create a MySQL user before that user is able to use the database. This does not automatically allow the user to use a database - you need to grant that user permissions to the specific database first. Refer to Grant a user's permissions to a MySQL database for more information.

To create a MySQL user:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Enter the user's name in the Username field and the user's password in the Password field.

  3. Click on the Create user button. Click on the MySQL databases link to return to the MySQL databases window to confirm that it has been created.

Creating a MySQL user


Grant a user's permissions to a MySQL database

Once you have created a user to use a database you need to grant that user permission to use the database. If you have not yet created a user, refer to Creating a MySQL user for more information.

To grant user permissions to a MySQL database:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Choose the specific user from the Username drop-down list in the Grant all permissions on a MySQL database to a MySQL user area.

  3. Choose the specific database to grant permissions to from the MySQL database drop-down list.

  4. Click on the Grant permissions button. Click on the MySQL databases link to return to the MySQL databases window to confirm that permissions have been granted - you will see Connection Strings listed underneath users in the Existing MySQL databases area.

Granting a user's permissions to a MySQL database


Removing a user's permissions

A user will no longer be able to access a particular database when you have removed their permissions to that database.

To remove a user's permissions:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Click on the Delete button next to the specific user underneath the name of the database in the Existing MySQL databases area. Click on the MySQL databases link to return to the MySQL databases window to confirm that permissions have been removed.


Removing a user

Removing a user deletes it - it removes all database permissions that the user has and does not allow that user access to any MySQL database.

To remove a user:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Click on the Delete button next to the specific user in the Existing MySQL users area. Click on the MySQL databases link to return to the MySQL databases window to confirm that the user has been removed.


Removing a database

Removing a database will delete that database from it's online location. Be sure that you have saved a copy of the database if you want to keep any of the information in the database. Removing a database will not remove any user's but it will remove all user's permissions to that database.

To remove a database:

  1. Click on the Add/Remove MySQL Databases link in the Domain Control area.

  2. Click on the Delete button next to the specific database in the Existing MySQL databases area. Click on the MySQL databases link to return to the MySQL databases window to confirm that the database has been removed.


Error Pages

Error pages are served to Internet users when any one of a variety of errors occur, such as when a user enters an incorrect URL or is not authorized to access a specific directory in your account. Companies often customize error pages to brand them with a specific corporate image and a link to their home page. You do not have to customize these pages - the error page is always available, whether customized or not.

To create or modify a customized error page:

  1. Click on the Error Pages link in the Domain Control area.

  2. Click on the required Create/Edit Error Page link.

  3. Enter the HTML code for the error page. You can use the drop-down list at the top of the page to insert variables into the displayed code.

    Example:

    <h1>404 Not Found</h1>
<p>The requested page, <!--#echo var="REQUEST_URL" --> ,is not available.</p>

  4. Click on the Save button. Click on the Error pages link to return to the Error Pages window to confirm that it has been created.

Creating a customized error page


Password Protect Directories

You can protect directories within your site from browsers by using a password to protect them. This allows you to restrict material to only authorized users or store sensitive material online. This has the same appearance and affect as the password protection on CPanel.

To password protect a directory:

  1. Click on the Password Protect Directories link in the Domain Control area.

  2. Navigate to the directory that you want to protect. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Click on the tick box in the Allow access to authorized users area.

  4. Enter the name that you want to appear in the Enter Network Password dialog box in the Protected Resource Name field. This is optional and purely for the user's benefit.

  5. Click on the Submit button. Click on the Password protect directories link to return to the Password Protect Directories window to confirm that it has been created.

    Generally, you now need to add at least one authorized user to enable access to the directory. Refer to Adding or modifying an authorized user for more information.

Protecting a directory with a password

Topics:


Adding or modifying an authorized user

You can control who can access protected directories by adding authorized users. Generally, at least one authorized user needs to be added, otherwise no-one will not be able to view the directory.

To add or modify an authorized user:

  1. Click on the Password Protect Directories link in the Domain Control area.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Enter the user's name in the Username field, and their password in the Password field.

  4. Click on the Add/modify authorized user button. Click on the Password protect directories link to return to the Password Protect Directories window to confirm that it has been created.

Adding an authorized user


Removing an authorized user

Remove authorized users when they no longer should have access to a particular directory. This maintenance task is often forgotten and leaves a hole in your security, so remember to perform this procedure as soon as it is required.

To remove an authorized user:

  1. Click on the Password Protect Directories link in the Domain Control area.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Select the required user in the drop-down list in the "Remove user's authorization" area.

  4. Click on the Remove user's authorization button. Click on the Password protect directories link to return to the Password Protect Directories window to confirm that it has been deleted.

Removing an authorized user


Changing the protected resource name

You can change the directory name that appears in the Enter Network Password dialog box. This name is optional and purely for the user's benefit.

To change the name of the protected folder:

  1. Click on the Password Protect Directories link in the Domain Control area.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Alter the text in the Protected Resource Name field.

  4. Click on the Submit button. Click on the Password protect directories link to return to the Password Protect Directories window to confirm that it has been created.

Changing the name of the protected folder


Removing password protection

Removing password protection is as simple as adding it. You do not need to remove user authorization for the directory, as all the users will be automatically deleted when you remove the password protection.

To remove password protection from a directory:

  1. Click on the Password Protect Directories link in the Domain Control area.

  2. Navigate to the protected directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Untick the tick box in the Allow access to authorized users area.

  4. Click on the Submit button. Click on the Password protect directories link to return to the Password Protect Directories window to confirm that it has been removed.

Removing password protection


File Manager

The File Manager allows you to manage your site through HTML, rather than an FTP tool or other third-party application. You can upload, create or delete files, organize files in folders, and change file permissions. While not as sophisticated as most FTP tools, File Manager is free and gives you all the basic functionality necessary to manage your site.

Note: All of the other topics in this section assume that you are already in File Manager.

To open and navigate in File Manager:

  1. Click on the File Manager link in the Domain Control area.

  2. Navigate by using the following:

    • Open a folder by clicking on the folder icon.

    • Go up a level by clicking on the Up one level link.

    • Use the path links at the top of the window to move up and down the path.

    • Select a folder, so as to view or modify its properties, by clicking on the folder name link.

Topics:

Creating a new folder
Uploading files in File Manager
Creating a new file
Editing a file
Renaming a file or folder
Changing file/folder permissions
Deleting a file or folder
Restoring an item from the Trash
Emptying the Trash


Creating a new folder

Folders are a very useful way of adding organization and structure to your web site. They make maintenance of the site much easier, as you can easily see what files are in which folder. Most web sites include at least an /image folder to keep all the image files separate from the HTML files.

To create a new folder:

  1. Navigate to the area in which you will create the new folder.

  2. Click on the Create New Folder link.

  3. Enter the name of the new folder in the Create folder named field in the top-left corner of the window.

  4. Click on the Create button. The new folder will appear in the main display area.

Creating a new folder


Uploading files in File Manager

You can use File Manager to upload files to your web site, up to 12 files in one go. Although useful, a third-party FTP client has many more features and does not limit you to the number of files you can upload at one time. Refer to the FTP section for more information.

To upload files in File Manager:

  1. Navigate to the folder where you want to upload your files.

  2. Click on the Upload file(s) link.

  3. Click on the Browse... button next to one of the top fields.

  4. Search for and double-click on the first file to upload.

  5. Repeat the above steps for each file you want to upload.

  6. Click on the Upload button when you have finished selecting files. The status of the upload will appear in the top-right corner of your window. The contents of the folder is displayed in the main area, including your uploaded files.

Uploading files in File Manager


Creating a new file

For small text files it can be easier to create them online, rather than on your home computer and uploading the file. You can create text files, such as HTML, PHP, or plain TXT, but not binary files.

To create a new file:

  1. Navigate to the folder where you want to create your text file.

  2. Click on the Create New File link.

  3. Enter the name of the file to be created in the Create file named field in the top-right corner of your window. You do need to add the file extension to the name, for example script.pl for a Perl script, not just script.

  4. Select the type of document from the drop-down list. Each type of file adds specific information to the text file:

    • Text Document - No text is added to the file.

    • HTML Document - No text is added to the file.

    • Perl Script - Automatically adds the path to Perl to the top of the file. Make sure to double-check that the path is correct.

    • Shell Script - Automatically adds the path to the Shell executable to the top of the file. Make sure to double-check that the path is correct.

  5. Click on the Create button. The file has now been created and the display updated to show the new file. Refer to Editing a file to add text to these new files.

Creating a new file


Editing a file

Editing a pre-existing file through File Manager allows you to make immediate changes to your web site, without having to upload a new version of the file. This is useful for small changes, but would be inefficient for large amounts of coding.

To edit a file:

  1. Navigate to the folder where the file is located.

  2. Click on the name of the file.

  3. Click on the Edit File link in the top-right corner of your window. This will open a new window with the contents of the file displayed.

  4. Alter the text of the file as you wish.

  5. Click on the Save button when you have finished altering the file. The file has been saved and any changes will take effect from now on.

Editing a file


Renaming a file or folder

You can quickly rename a file or folder if you originally labelled a file or folder with the wrong name, or if the name needs to be updated. This is useful if a small number of files need to be changed, since you do not need to upload any files for the changes to take effect, but inefficient if you needed to rename your entire site.

To rename a file or folder:

  1. Navigate to the file or folder.

  2. Click on the Rename File link in the top-right corner of your window.

  3. Enter the new name for the file or folder (don't forget the extension, if it is a file) in the text field.

  4. Click on the Submit button. The file name has now been changed and the display updated to show the modified file.

Renaming a file or folder


Changing file/folder permissions

All files on UNIX (and UNIX variants) machines have access permissions. These tell the operating system how to deal with requests to access these files. There are three types of access:

  • Read - Denoted as r, files with read access can be displayed to the user.

  • Write - Denoted as w, files with write access can be modified by the user.

  • Execute - Denoted as x, files with execute access can be executed as programmes by the user.

Access types are set for three types of user group:

  • User - the owner of the file.

  • Group - other files which are in the same folder or group.

  • World - everyone else.

The web server needs to be able to read your web pages in order to be able to display them in a browser. The following permissions need to be set in order for your web site to function properly.

  • All HTML files and images need to be readable by others. The setting for this is 644 (readable by User, Group, and World, and writable by User), and is set automatically when you upload files.

  • All folders need to be executable by others. The setting for this is 755 (readable by User, Group, and World, writable by User, executable by User, Group, and World), and is set automatically when you create a folder.

  • All CGI files (all files in the cgi-bin folder) need to be executable by other. The setting for this is 755 (readable by User, Group, and World, writable by User, executable by User, Group, and World), and is not set automatically when you upload files. You need to change file permissions manually. Refer to the Introduction to CGI topic for more information.

Warning: It is important that none of your files or folders are writable by anyone else. Any file or folder which is writable by others can be erased by them. Generally there is no problem, just be careful in how you set your permissions.

To change file or folder permissions:

  1. Navigate to the file or folder that you need to change.

  2. Click on the name of the file or folder.

  3. Click on the Change Permissions link in the top-right corner of the window.

  4. Click on as many tick boxes as you require to create the right permission. The permission numbers underneath the tick boxes will update automatically.

  5. Click on the Submit button when you have finished setting the permission. The new permission level has now been saved and the display updated to show the modified file.

Changing file or folder permissions


Deleting a file or folder

CPanel includes a Trash folder, which operates the same way as the Windows Recycle Bin. All deleted files are automatically placed in the Trash folder and can be restored to their original positions by a simple click. However, once you empty the Trash folder, the files are permanently deleted. Refer to Emptying the Trash for more information.

To delete a file or folder:

  1. Navigate to the file(s) or folder(s) that you want to delete.

  2. Click on the name of the file or folder to display the item's properties in the top-right corner of your window.

  3. Click on the Delete File link. The deleted file or folder is now displayed in the Trash area. Refer to Restoring an item from the Trash if you deleted the wrong file or folder by accident.


Restoring an item from the Trash

You can easily restore a deleted file from the Trash by moving it from the Trash to another folder. Restored folders are automatically moved back to their original location. However, you will not be able to restore the item if you have emptied the Trash since deleting it - it has been permanently destroyed.

To restore an item from the Trash:

  1. Click on the item that you want to restore in the Trash area on the bottom-right of the window.

  2. If the item you have selected is a folder, the folder will be automatically returned to its original location. You are now finished with this procedure.

    If the item you have selected is a file, click on the Move File link in the File operations area.

  3. You are presented with a list of folders in the main display area. Navigate to the directory where you want to move the file. Open a folder by clicking on the folder icon.

  4. When you have found the correct location, select the folder by clicking on the folder name link. The file or folder has now been moved to this location.

Restoring an item from the Trash


Emptying the Trash

Warning: Make sure you do not need any of the files or folders in the Trash before you empty it, because the files are deleted permanently once the Trash is emptied.

To empty the Trash:

  1. Click on the Empty trash link in the Trash area. All of the files in the Trash have now been permanently deleted.


Cron Jobs

Cron jobs allow you to automate repetitive tasks on the server that hosts your web site. This is a powerful tool that allows you to take a hands-free approach to repetitive tasks. For example, you could add a cron job that automatically copies a MySQL database to a separate location on your site as a backup.

Warning: You need to have a good knowledge of Linux commands before you can use cron jobs effectively. Check your script with your hosting administrator before adding a cron job.

To add a cron job:

  1. Click on the Cron Jobs link in the Domain Control area.

  2. Enter the times for the cron job in the Minute, Hour, Day, Month, or Weekday fields. Refer to the following page to check exactly how to enter values in these fields - http://www.redhat.com/support/resources/tips/cron/cron.html.

  3. Enter the cron job script in the Command field.

  4. Click on the Submit button. Click on the Cron jobs link to return to the Cron jobs window to confirm that it has been created.

Adding a cron job

Topics:

Deleting a cron job


Deleting a cron job

You can delete any cron job at any time. If you are unsure what a cron job is doing it is safer to delete it and check the code with your hosting administrator.

To delete a cron job:

  1. Click on the Cron Jobs link in the Domain Control area.

  2. Click on the Delete button next to the required cron job.

  3. Click on the Cron jobs link to return to the Cron jobs window to confirm that it has been deleted.


MIME Types

MIME types tell browsers how to handle specific extensions. Most MIME types are set globally on the server. For example, the text/html MIME type equates to htm, html, and shtml extensions on most servers, and this tells your browser to interpret all files with those extensions as HTML files. You can alter or add new MIME types specifically for your site (note that you can not alter the global MIME type values, only add to them). MIME types are often used to handle new technologies as they appear. When WAP technology first appeared no-one had these extensions set up on their server. With MIME types, however, you could have set it up yourself and begun serving WAP pages immediately.

Warning: Make sure you check the list of pre-existing MIME types before adding new ones. Check with your hosting administrator before adding a MIME type, as they can easily alter the correct functioning of your web site.

Note: People often get confused as to the difference between MIME types and Apache handlers. Basically, MIME types tell your browser how to handle files, while Apache handlers tell the server how to handle files.

To add a MIME type:

  1. Click on the MIME Types link in the Domain Control area.

  2. Enter the MIME type that you want to add in the MIME Type field. Have a look at the list of system-wide MIME types to show you how to add a new one or add to a pre-existing one.

  3. Enter the file extension in the Extension(s) field.

  4. Click on the Add button. Click on the MIME types link to return to the MIME types window to confirm that it has been created.

Adding a MIME type

Topics:

Deleting a MIME type


Deleting a MIME type

You can delete any custom MIME types at any time. However, you can not delete system-wide MIME types - please contact your hosting administrator if you have a problem with one of these.

To delete a MIME type:

  1. Click on the MIME Types link in the Domain Control area.

  2. A list of customized MIME types is displayed underneath the Delete MIME types area. Choose one of these from the drop-down list.

  3. Click on the Delete button. Click on the MIME types link to return to the MIME types window to confirm that it has been deleted.


Apache Handlers

Apache is an open-source HTTP server, and is used to serve your site. Apache handlers tell the server how to deal with web files that need to be processed on the server. For example, Apache is set up to process files with .pl extensions using Perl. However, if for some reason you also wanted to process files with .script extension using Perl, then you would have to set up a custom Apache handler for your site.

Note: People often get confused as to the difference between MIME types and Apache handlers. Basically, MIME types tell your browser how to handle files, while Apache handlers tell the server how to handle files.

Warning: Check with your hosting administrator before adding an Apache handler, as they can easily alter the correct functioning of your web site.

To add an Apache handler:

  1. Click on the Apache Handlers link in the Domain Control area.

  2. Enter the Apache handler in the Handler field. Have a look at the list of system-wide Apache handlers to show you how to add a new one or add to a pre-existing one.

  3. Enter the file extension in the Extension(s) field. You need to add the . before the extension name.

  4. Click on the Add button. Click on the Apache handlers link to return to the Apache handlers window to confirm that it has been created.

Adding an Apache handler

Topics:

Deleting an Apache handler


Deleting an Apache handler

You can delete any custom Apache handler at any time. However, you can not delete system-wide Apache handlers - please contact your hosting administrator if you have a problem with one of these.

To delete an Apache handler:

  1. Click on the Apache Handlers link in the Domain Control area.

  2. A list of customized Apache handlers is displayed underneath the Delete Apache handler area. Choose one of these from the drop-down list.

  3. Click on the Delete button. Click on the Apache handlers link to return to the Apache handlers window to confirm that it has been deleted.


Backup Storage

The Backup Storage area allows you to download the daily backup file of your web site. If your computer crashes, or your personal backups are destroyed, this allows you to recover your site in a convenient manner (you could also use FTP to download each file - more control, but it would take longer).

Note: This one file includes everything - from web pages to images to scripts to access logs. A large site will have a large backup file, and will take some time to download.

To download your web site backup file:

  1. Click on the Download Backup File link in the Backup Storage area.

  2. Click on the Download link to download today's backup file (automatically generated daily).

  3. Save the file to disk.

    Note for Windows users: This file is in .tar.gz format (a Gzip archive file). This is a common archive format used on Unix machines, in the same way that .zip is a common Windows archive format. Most compression utilities should be able to uncompress a .tar.gz file.


FTP

The FTP area deals with all the tools relating to setting up and managing FTP accounts, as well as managing FTP sessions. FTP (File Transfer Protocol) is a method by which you can transfer files between computers, usually using the Internet. There is a huge amount of information stored on FTP servers around the world which can only be accessed by using FTP. When using FTP you use an application called a "client" to connect to a machine called a "server".

There are a large number of FTP software packages available. Some of them are built in to your browser (such as Internet Explorer), others are dedicated applications (such as such as CuteFTP or WS_FTP), while still others are built into web applications (File Manager in CPanel is one example). Generally speaking, if you are going to spend a lot of time using FTP or have a large amount of files to upload/download, a dedicated FTP client is the way to go.

CPanel allows you to set up FTP accounts so that certain external users can access a restricted part of your system. You can also set up an anonymous FTP account so that anyone can access a restricted part of your system. You can also manage these FTP sessions, cutting them off if they go on for too long.

Warning: FTP, by its very nature, allows external users to modify your web site (albeit a restricted area of your web site). External users can upload, download, and delete files. Keep this in mind when you set up an FTP account.

Topics:


Adding an FTP account

An FTP account creates a folder on the www level of your site that allows external users that know the password to upload and download files from that location. Change your password if you think that your account is being used incorrectly.

To add an FTP account:

  1. Click on the FTP Accounts link in the FTP area.

  2. Enter the name of the FTP account in the FTP username field and the password for the account in the Password field.

  3. Click on the Add button. Click on the FTP accounts link to return to the FTP Accounts window to confirm that it has been created.

Adding an FTP account

Topics:


Changing the password on an FTP account

It is a good idea to change your password occasionally. You should always change your password if you think someone else has access to your FTP account.

To change a password on an FTP account:

  1. Click on the FTP Accounts link in the FTP area.

  2. Click on the Change Password button.

  3. Enter the new password in the New Password field.

  4. Click on the Submit button. Click on the FTP accounts link to return to the FTP Accounts window to confirm that the password has been changed.

Changing a password on an FTP account


Deleting an FTP account

Deleting an FTP account is as simple as creating as creating the account. Deleting the account does not delete the folder or its contents, but it does prevent anyone from accessing that folder through FTP.

To delete an FTP account:

  1. Click on the FTP Accounts link in the FTP area.

  2. Click on the Change Password button. Click on the Submit button. Click on the FTP accounts link to return to the FTP Accounts window to confirm that the account has been deleted.

Deleting an FTP account


Setting Anonymous FTP access

Anonymous FTP access allows anyone to access your public_ftp folder. There are two options available:

  • Allow anonymous access to ftp://ftp.yourdomain.com - This allows to view, download, and delete files from your public_ftp folder.

  • Allow anonymous upload to ftp://ftp.yourdomain.com/incoming - This allows to view, upload, download, and delete files from your public_ftp/incoming folder.

Warning: Anonymous FTP allows anyone access to a restricted area of your site. It is generally safest to not enable Anonymous FTP. If you do enable it, you are responsible for the bandwidth and space used.

To set Anonymous FTP access:

  1. Click on the Setup Anonymous FTP Access link in the FTP area.

  2. Click on the Allow anonymous access to ftp://ftp.yourdomain.com tick box or the Allow anonymous upload to ftp://ftp.yourdomain.com/incoming tick box. You must click on both tick boxes to enable uploads.

  3. Click on the Submit button. Click on the Setup anonymous FTP access link to return to the Anonymous FTP window to confirm that Anonymous FTP has been set up correctly.

Setting Anonymous FTP access

Topics:


Adding an Anonymous FTP message

You can add a message that appears in all FTP clients that access your public_ftp folder. This is usually used to add copyright notices or other warnings or comments based on the available files.

To add an Anonymous FTP message:

  1. Click on the Anonymous FTP Message link in the FTP area.

  2. Enter the message that you want visitors to see in the text area. You can not enter HTML code - plain text only. This is created as a welcome.msg text file.

  3. Click on the Save button. Click on the Anonymous FTP message link to return to the Anonymous FTP Message window to confirm that the message has been created.

Adding an Anonymous FTP message


Removing Anonymous FTP access

Removing Anonymous FTP access is as simple as enabling the access. Removing access does not delete your public_ftp folder or its contents (you should not delete this folder anyway), but it does prevent anyone from accessing that folder through FTP.

To remove Anonymous FTP access:

  1. Click on the Setup Anonymous FTP Access link in the FTP area.

  2. Remove the tick from the Allow anonymous access to ftp://ftp.yourdomain.com tick box or the Allow anonymous upload to ftp://ftp.yourdomain.com/incoming tick boxes.

  3. Click on the Submit button. Click on the Setup anonymous FTP access link to return to the Anonymous FTP window to confirm that Anonymous FTP has been removed correctly.

Removing Anonymous FTP access


Controlling FTP sessions

You can view and terminate FTP sessions using the provided FTP session controls. This is useful for general information and stopping unwanted FTP activity.

To control FTP sessions:

  1. Click on the FTP Session Controls link in the FTP area.

  2. All active FTP sessions (FTP connections that are actively uploading or downloading files) are listed. Click on the Terminate button next to a session to terminate that session.


CGI Scripts

This CGI Scripts area allows you to use some pre-installed CGI scripts through CPanel. This section contains information about using these scripts, as well as using CGI scripts in general.

Topics:


Introduction to CGI

CGI (Common Gateway Interface) is a standard for running external programs from a Web server. CGI allows the returned HTML page to be dynamic - for example, with a CGI script you could access information in a database and format the results as part of an HTML page. Not surprisingly, CGI scripts are very popular and used extensively throughout the World Wide Web.

There are a number of very good introduction to CGI documents available on the Web. The information given below is a summary of the most important points to remember when using CGI. Please refer to the following for a more in-depth introduction:

  • Intro to CGI - one of the best introductions available.

  • Ada's Introduction to CGI - a useful introduction.

Key points to bear in mind when using CGI scripts:

  • The pre installed scripts available through CPanel are the easiest to use, but if a certain script does not do exactly what you want, feel free to look for better scripts on the Web. You can usually find a script to do almost anything, especially if you are prepared to pay.

  • Read all available documentation on a particular script before using it. This will help avoid most problems.

  • CHMOD ("Change Mode") means change the permissions on a particular file (usually the script itself). The CPanel File Manager allows you to quickly do this, as do most FTP tools.

  • Important - after uploading cgi-bin scripts, CHMOD to 755 (unless the script documentation specifically states otherwise). For example, you need to CHMOD the pre-installed CPanel CGI EMail scripts to 755 to use them properly.

  • Many scripts need to know the path to perl (scripting language engine) and to sendmail (HTTP mail engine). You can find this information on the front page of CPanel.

  • Make sure you test your scripts repeatedly! Testing is vital to make sure everything is working to your satisfaction.


XMB Forum

The XMB Forum is a PHP web-based message board. Unlike an email list or newsgroup, the XMB Forum creates a forum on your website that allows users to post questions and receive replies, all from their web browser. This allows you to choose from a variety of graphical interfaces and smilies - little faces that communicate the mood of the writer Smile Smile. Once a forum has been created you can modify it extensively, from adding new sub-forums to changing the visual appearance of the board. Be sure to visit the XMB Forum website - http://www.xmbforum.com/ - for more information on how to customize and use your XMB Forum

Note: Keep in mind that each separate installation of XMB forum takes up approximately 2.7MB, and will grow in size with the popularity of the forum.

To add an XMB Forum:

  1. Click on the XMB Forum link in the CGI Scripts area.

  2. Enter the name of the forum folder in the http://yourdomain.com/ field. Note that the folder must be on the top level of your site.

  3. Click on the Install button.

  4. Go to the location of the board. The URL will be something like this - http://yourdomain.com/forum/ You need to do this immediately as the first registered user is automatically created as an admin user.

  5. Click on the Register link at the top left corner of your browser window.

  6. Once you have registered you can now contine to set up the forum. Refer to http://www.xmbforum.com/ if you need more information.

Topics:


Modifying an XMB Forum

You can modify all aspects of an XMB Forum from the admin user's Control Panel. You can access this from the forum's address.

To modify an XMB Forum:

  1. Go the the forum's URL. This will be something like http://yourdomain.com/forum/

  2. Login using your admin username and password.

  3. Click on the Control Panel link in the top left corner of your browser window. You can now modify the forum. Refer to http://www.xmbforum.com/ if you need more information about how to modify the forum.


Removing an XMB Forum

You can remove an XMB Forum as easily as you created it. All messages will be deleted, so make sure you download any information from the forum that you want to keep before removing it.

To remove an XMB Forum:

  1. Using either an FTP client or File Manager, delete the XMB Forum folder on the top level of your site.


Chat Room

There are two pre-installed chat scripts available.

  • Entropy Chat - a simple chat script that offers basic features.

  • Melange Chat System - a Java chat script that offers more advanced features.

Which script you choose is entirely up to you. As always, if neither script is appropriate, there are many free and chargeable scripts available on the Internet.

Topics:


Entropy Chat

Entropy Chat is a simple chat script that offers basic features.

To set up Entropy Chat:

  1. Click on the on the Chat Room link in the CGI Scripts area.

  2. Copy and paste the displayed HTML code in the Install Entropy Chat section into your web page. Feel free to alter the appearance of the form as required.

  3. Upload your page and test the script.


Melange Chat System

The Melange Chat System is a Java chat script that offers a number of advanced features. The steps below are only for installation - for more information detailed information about using the Melange Chat System, please refer to the user guide.

To set up Melange Chat System:

  1. Click on the on the Chat Room link in the CGI Scripts area.

  2. Copy and paste the displayed HTML code in the Install Java Chatroom section into your web page as a link.

  3. Upload your page and test the script.


CGI Wrap

The CGI Wrap script creates a scgi-bin folder at the public_html level of your web site. This allows you to run scripts with your own user ID.

The advantage of this is that you can run scripts that have the same permissions that you do - you can write, edit, and delete files as you normally do. In regular cgi-bin, you can only do this if you set your directory permissions to 777 (world access) and file permissions to 666, both of which are quite dangerous as anyone can now modify your website.

The disadvantage of this is that if there is a security breach in your script that another person can exploit, they have access to your site in the same manner that you do - they can do anything. However, as long as the scripts you run in the scgi-bin directory are secure, you have nothing to worry about.

Be sure to read the CGI Wrap user guide for more detailed information on using CGI Wrap.

For a more detailed description of the distinction between normal and wrapped cgi, refer to this article.

To use the Simple CGI Wrapper:

  1. Click on the Simple CGI Wrapper button in the CGI Scripts area.

    Your scgi-bin folder has now been set up. All cgi scripts that you would like to run under your own user ID should be placed in this folder.


CGI EMail

CGI EMail is a simple, easy-to-use script that takes the results of any form and sends them to you via email. Because it is already installed, minimal configuration is required to successfully use the script.

The following steps provide quick summarized instructions for CGI EMail. Be sure to read the CGI user guide for detailed instructions on using CGI EMail.

To configure CGI EMail:

  1. Create an HTML form with a number of named input fields. Refer to this page for more detailed information of the action component of the form.

  2. Create an email template (a .txt file) that displays the format in which you want your form information displayed in the email. Make sure all your form name codes are one word and in square brackets [].

  3. Upload the .txt and form files to your site.

  4. Go to your cgi-bin directory and change the file permissions on cgiecho and cgiemail to 755.

  5. Test the script. The cgiecho script is designed for testing online, so you do not have to wait for email to be sent or received.

Topics:

FormMail


FormMail

One of the most popular form to e-mail scripts available is FormMail, by Matt Wright. The script can be setup very quickly, and provides a number of customization options. Because of FormMail's popularity, we have included it as part of this documentation.

The following steps provide quick installation instructions for FormMail. Be sure to read the FormMail README file for more detailed information about customizing FormMail.

To install FormMail:

  1. Download the latest version of FormMail from http://worldwidemart.com/scripts/formmail.shtml.

  2. Open FormMail.pl in a text editor (such as NotePad).

  3. Make sure the Perl path is set correctly. This information can be found on the CPanel homepage. A typical path is: #!/usr/bin/perl

  4. Make sure the Sendmail path is correct. This information can be found on the CPanel homepage. A typical path is: /usr/lib/sendmail

  5. Add you domain to the referrers. For example: @referers = ('www.mydomain.com', '123.123.123.123')

  6. Alter @recipients, if required. A standard setting is: @recipients = @referers

  7. Upload FormMail.pl to your "cgi-bin" directory, and change the file permissions to 755.

  8. Create the form on your web page, with the following fields:

    <form action="http://www.mydomain.com/cgi-bin/FormMail.pl" method="POST">
<input type="hidden" name="recipient" value="email@mydomain.com">
<input type="hidden" name="subject" value="Feedback from website">
<input type="hidden" name="redirect" value="http://www.mydomain.com/thankyou.htm">

  9. Upload the web page and test the form.


Statistics

The Statistics area presents you with a wide variety of information about your web site, from the latest visitors to a detailed monthly summary of hits, as well as providing an error log. Use the Statistics tools to keep track of what pages are being visited most often, and where they are being referred from.

For more information about exactly what these web site statistics actually mean, refer to the following excellent articles:

  • Measuring Web Site Usage

  • How the web works

Topics:


Raw access logs

You can download the raw access logs that contain all the recorded hit information that your site has received. These logs are only really useful if you have a preferred reporting tool that you prefer to use, rather than the variety of reporting tools presented in this section.

To download the raw access logs:

  1. Click on the Download Raw Access Logs link in the Statistics area.

  2. Save the file to disk.

    Note: The access logs are in hex format.


Analog

The Analog reporting tools presents the most comprehensive coverage of web server statistics available for your web site using CPanel. The available reports automatically generated by the Analog tool are as follows:

  • General Summary - Displays the most important overall statistics. One of the most useful details here is "Distinct hosts served", which is as close as you can get to the number of people who have viewed your site.

  • Monthly Report - How many requests you had in each month.

  • Daily Summary - How many requests you had in each day.

  • Hourly Summary - How many requests you had in each hour.

  • Domain Report - Lists the countries that requests have come from.

  • Organization Report - Lists the organizations that requests have come from.

  • Redirected Referrer Report - Lists the referrers that led to redirections.

  • Failed Referrer Report - Lists the links that were not successfully referred (generally this lists the broken links on your site).

  • Referring Site Report - Lists the servers that referred to your site (shows you how much traffic search engines and advertising is generating for you).

  • Search Word Report - Lists the search words that were used on search engines to find your site.

  • Browser Report - Lists the version details of the browsers used to access your site.

  • Browser Summary - Lists the types of browsers used to access your site.

  • Operating System Report - Lists the operating systems of the browsers used to access your site.

  • Status Code Report - Lists each HTTP status code that you received.

  • File Size Report - Lists the files requested, sorted by size.

  • File Type Report - Lists the files requested, sorted by type.

  • Directory Report - Lists the directories from which files have been served.

  • Request Report - Lists the files that were downloaded.

Be sure to read the Analog documentation if you are interested in more detailed information.

To use the Analog tool:

  1. Click on the Analog link in the Statistics area.

  2. Click on the month that you are interested in.

  3. You are now presented with the Web Server Statistics page for your web site. You can browse the report online, or print it for more detailed perusal offline. Take your time - there is a lot of information available.

Using the Analog tool


Latest visitors

This quick tool lists the last 30 visitors that have visited your site in the last 24 hours. Note that visitors are defined as requests from servers, not individual people.

To view the most recent visitors:

  1. Click on the Latest Visitors link in the Statistics area.

  2. Browse the results. You can click on the Referrer link to open the referring site page, or click on the URL link to open the file that was requested.

Viewing the most recent visitors


Webalizer

The Webalizer tool creates a graphical summary display of usage of your site. This is useful to give you a quick and clear overview of your web site activity.

To use Webalizer:

  1. Click on the Webalizer link in the Statistics area.

  2. Browse the results.


Bandwidth

The Bandwidth tool generates an overall summary of the amount of bandwidth that your site is using. This is generated from HTTP traffic (looking at your web site, downloading files, etc.) and possibly FTP traffic. However, this does not include any other type of traffic, the most notable of which is POP3 - email. Depending on what files you send and receive through e-mail, this amount could be considerable. Contact your hosting administrator if you want to check how much bandwidth you are using.

To check how much bandwidth is being used:

  1. Click on the Bandwidth link in the Statistics area.

  2. Browse the results.

Checking how much bandwidth is being used


Error Log

The error log contains all HTTP errors that occur when visitors attempt to view your site, such as requested files not found, etc. The Error Log tool is a presentation of the last 300 entries in your error log. A central use of this tool is to locate suspicious server activity, such as attempted virus attacks. Please contact your hosting administrator if you have concerns about activity in your error logs.

To check your error log:

  1. Click on the Error Log link in the Statistics area.

  2. Browse the results.

Checking your error log